[SCM] FFmpeg packaging branch, ubuntu.lucid, updated. debian/0.5+svn20090706-2ubuntu5.ppa1

siretart at users.alioth.debian.org siretart at users.alioth.debian.org
Sat Jan 2 14:15:50 UTC 2010

The following commit has been merged in the ubuntu.lucid branch:
commit 0a16d2a3300864b7c7d8cd5f10c1f58f99e58f4f
Author: Reinhard Tartler <siretart at tauware.de>
Date:   Sat Jan 2 15:02:28 2010 +0100

    bump shlibs version
    introduction of symbol versioning needs to bump shlibs in order to
    prevent that applications that have picked up references to shared
    symbols can be installed with earlier versions of the ffmpeg libraries.

diff --git a/debian/rules b/debian/rules
index 47e7cd6..79c5bd0 100755
--- a/debian/rules
+++ b/debian/rules
@@ -7,7 +7,7 @@ DEB_SOURCE := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
 DEB_VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')
 UPSTREAM_VERSION := $(shell echo $(DEB_VERSION) | sed -r 's/[^:]+://; s/-[^-]+$$//')
 SVN_VERSION := $(shell echo $(UPSTREAM_VERSION) | sed -nr 's/^[0-9.:-]+[+.]svn([0-9]+)$$/\1/p')
-SHLIBS_VERSION := 3:0.svn20090303-1
+SHLIBS_VERSION := 4:0.5+svn20090706-2ubuntu5~
 ifeq ($(SVN_VERSION),)
 $(error UPSTREAM_VERSION: $(UPSTREAM_VERSION) - but SVN_VERSION is empty! - check debian/rules)

FFmpeg packaging

More information about the pkg-multimedia-commits mailing list